VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Ovf::VcenterExtensionParams Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Ovf::VcenterExtensionParams:

## Avaliable Methods
public method | set_type ()
public method | set_required ()
public method | get_required ()
public method | get_type ()
public method | new ()
public method | get_registration_accepted ()
public method | set_registration_accepted ()

## Detailed Description

The `Com::Vmware::Vcenter::Ovf::VcenterExtensionParams` class specifies that the OVF package should be registered as a vCenter extension. The virtual machine or virtual appliance will gain unrestricted access to the vCenter Server APIs. It must be connected to a network with connectivity to the vCenter server.

See :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.deploy` and :func:`Com::Vmware::Vcenter::Ovf::LibraryItem.filter` .

## Member Function Documentation

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::get_registration_accepted | ( |  | ) |

Gets the value of 'registration_accepted' property.

Return values

  registration_accepted | - The current value of the field. Whether registration as a vCenter extension is accepted.

If registration as a vCenter extension is required (see :attr:`Com::Vmware::Vcenter::Ovf::VcenterExtensionParams.required` ), this must be set to true during deployment. Defaults to false when returned from server.

optional#

Code:
click to view
# Number of lines of code in get_registration_accepted: 4
sub get_registration_accepted {
my ($self, %args) = @_;
return $self->{'registration_accepted'};
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::get_required | ( |  | ) |

Gets the value of 'required' property.

Return values

  required | - The current value of the field. Whether registration as a vCenter extension is required. optional#

Code:
click to view
# Number of lines of code in get_required: 4
sub get_required {
my ($self, %args) = @_;
return $self->{'required'};
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class . optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Ovf::VcenterExtensionParams structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 20
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{required} = $args{'required'};
$self->{registration_accepted} = $args{'registration_accepted'};
$self->{type} = $args{'type'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Ovf::VcenterExtensionParams');
$self->set_binding_name('name' => 'com.vmware.vcenter.ovf.vcenter_extension_params');
$self->set_binding_field('key' => 'required', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'registration_accepted', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::StringType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::set_registration_accepted | ( |  | ) |

Sets the given value for 'registration_accepted' property.

Parameters

  registration_accepted | - New value for the field. Whether registration as a vCenter extension is accepted.

If registration as a vCenter extension is required (see :attr:`Com::Vmware::Vcenter::Ovf::VcenterExtensionParams.required` ), this must be set to true during deployment. Defaults to false when returned from server.

Code:
click to view
# Number of lines of code in set_registration_accepted: 5
sub set_registration_accepted {
my ($self, %args) = @_;
$self->{'registration_accepted'} = $args{'registration_accepted'};
return;
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::set_required | ( |  | ) |

Sets the given value for 'required' property.

Parameters

  required | - New value for the field. Whether registration as a vCenter extension is required.

Code:
click to view
# Number of lines of code in set_required: 5
sub set_required {
my ($self, %args) = @_;
$self->{'required'} = $args{'required'};
return;
}

public method Com::Vmware::Vcenter::Ovf::VcenterExtensionParams::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Unique identifier describing the type of the OVF parameters. The value is the name of the OVF parameters class .

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Ovf/VcenterExtensionParams.pm